resource "nomad_job" "mysql-server" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/mysql.nomad")

  # Block until deployed as there are servics dependent on this one
  detach = false
}

resource "nomad_job" "postgres-server" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/postgres.nomad")

  # Block until deployed as there are servics dependent on this one
  detach = false
}

resource "nomad_job" "redis" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/redis.nomad")

  # Block until deployed as there are servics dependent on this one
  detach = false
}

resource "nomad_job" "rediscommander" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/rediscommander.nomad")
}
